// 1. Створіть масив з рядків "travel", "hello", "eat", "ski", "lift" та обчисліть кількість рядків з довжиною більше за 3 символи. Вивести це число в консоль.

let strings = ["travel", "hello", "eat", "ski", "lift"];
let count = 0;

strings.forEach(str => {
    if (str.length > 3) {
        count++;
    }
});

console.log("Кількість рядків з довжиною більше за 3 символи:", count);

// 2. Створіть масив із 4 об'єктів, які містять інформацію про людей: {name: "Іван", age: 25, sex: "чоловіча"}. Наповніть різними даними. Відфільтруйте його, щоб отримати тільки об'єкти зі sex "чоловіча". Відфільтрований масив виведіть в консоль.

let people = [
    { name: "Іван", age: 25, sex: "чоловіча" },
    { name: "Марія", age: 30, sex: "жіноча" },
    { name: "Петро", age: 40, sex: "чоловіча" },
    { name: "Олена", age: 35, sex: "жіноча" }
];

let malePeople = people.filter(person => person.sex === "чоловіча");

console.log("Люди зі статтею 'чоловіча':", malePeople);

// 3. Реалізувати функцію фільтру масиву за вказаним типом даних. (Опціональне завдання)                            Технічні вимоги:


// - Написати функцію filterBy(), яка прийматиме 2 аргументи. Перший аргумент - масив, який міститиме будь-які дані, другий аргумент - тип даних.

// - Функція повинна повернути новий масив, який міститиме всі дані, які були передані в аргумент, за винятком тих, тип яких був переданий другим аргументом. Тобто якщо передати масив ['hello', 'world', 23, '23', null], і другим аргументом передати 'string', то функція поверне масив [23, null].

function filterBy(arr, dataType) {
    return arr.filter(item => typeof item !== dataType);
}

let data = ['hello', 'world', 23, '23', null];
let filteredData = filterBy(data, 'string');

console.log("Відфільтрований масив:", filteredData);